<?xml version='1.0' encoding='UTF-8'?>
<?xml-stylesheet type='text/xsl' href='wsdl-viewer.xsl'?>
<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="esf" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="EgpContractWebService" targetNamespace="esf">
    <wsdl:types>
        <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="esf" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="esf">
            <xs:complexType name="EgpContractWebRequest">
                <xs:annotation>
                    <xs:documentation>Запрос на получение ЭД ЭГЗ</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="sessionId" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Идентификатор сессии (см. SessionService)</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="params">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" name="param" type="tns:EgpContractRequestParam">
                                    <xs:annotation>
                                        <xs:documentation>Регистрационные номера документов</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="EgpContractRequestParam">
                <xs:annotation>
                    <xs:documentation>Параметры поиска Договора ЭГЗ</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="number" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Системный номер Договора в системе ЭГЗ</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="date" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Дата согласования Договора</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="EgpContractWebResponse">
                <xs:annotation>
                    <xs:documentation>Ответ на запрос на получение ЭД ЭГЗ</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element minOccurs="0" name="items">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="item" type="tns:item">
                                    <xs:annotation>
                                        <xs:documentation>Данные по ЭД ЭГЗ</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="item">
                <xs:annotation>
                    <xs:documentation>Данные по ЭД ЭГЗ</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="number" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Регистрационный номер</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="date" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата договора</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="status" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Статус</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="errorMessage" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Описание ошибки</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="errorCode" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Код ошибки</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="body" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Документ</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="AccessDeniedFault">
                <xs:annotation>
                    <xs:documentation>При отсутствии у пользователя прав на выполнение данной операции</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="description" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="BusinessFault">
                <xs:annotation>
                    <xs:documentation>При возникновении ошибки в ПО</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="description" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="SessionClosedFault">
                <xs:annotation>
                    <xs:documentation>При попытке выполнить действие, когда сессия пользователя была закрыта вызовом соответствующего метода либо по таймауту</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="description" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:element name="accessDeniedException" nillable="true" type="tns:AccessDeniedFault"/>
            <xs:element name="businessException" nillable="true" type="tns:BusinessFault"/>
            <xs:element name="sessionClosedException" nillable="true" type="tns:SessionClosedFault"/>
            <xs:element name="EgpContractWebRequest" nillable="true" type="tns:EgpContractWebRequest"/>
            <xs:element name="EgpContractWebResponse" nillable="true" type="tns:EgpContractWebResponse"/>
        </xs:schema>
    </wsdl:types>
    <wsdl:message name="getEgpContractWebResponse">
        <wsdl:part element="tns:EgpContractWebRequest" name="EgpContractWebRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="SessionClosedException">
        <wsdl:part element="tns:sessionClosedException" name="SessionClosedException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getEgpContractWebResponseResponse">
        <wsdl:part element="tns:EgpContractWebResponse" name="EgpContractWebResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="AccessDeniedException">
        <wsdl:part element="tns:accessDeniedException" name="AccessDeniedException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="BusinessException">
        <wsdl:part element="tns:businessException" name="BusinessException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:portType name="EgpContractWebService">
        <wsdl:operation name="getEgpContractWebResponse">
            <wsdl:input message="tns:getEgpContractWebResponse" name="getEgpContractWebResponse">
    </wsdl:input>
            <wsdl:output message="tns:getEgpContractWebResponseResponse" name="getEgpContractWebResponseResponse">
    </wsdl:output>
            <wsdl:fault message="tns:AccessDeniedException" name="AccessDeniedException">
    </wsdl:fault>
            <wsdl:fault message="tns:BusinessException" name="BusinessException">
    </wsdl:fault>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="EgpContractWebServiceSoapBinding" type="tns:EgpContractWebService">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="getEgpContractWebResponse">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="getEgpContractWebResponse">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getEgpContractWebResponseResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="AccessDeniedException">
                <soap:fault name="AccessDeniedException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="BusinessException">
                <soap:fault name="BusinessException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="EgpContractWebService">
        <wsdl:port binding="tns:EgpContractWebServiceSoapBinding" name="EgpContractWebServicePort">
            <soap:address location="https://esf.gov.kz:8443/esf-web/ws/api1/EgpContractWebService"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>